import { ImmutableSettings } from './immutable-interfaces';
/** @internal */
export declare const globalSettings: ImmutableSettings;
/** @internal */
export declare function getSettings(target?: any): ImmutableSettings | undefined;
/** Change the global settings for ImmutableTS. */
export declare function immutableSettings(settings: ImmutableSettings): void;
/** Change the ImmutableTS settings for a specific class. */
export declare function immutableSettings(classConstructor: {
    new (): any;
    prototype: any;
}, settings: ImmutableSettings): void;
